Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.core.resources
Interface IResourceChangeListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  CloseResourceAction, FileDocumentProvider.FileSynchronizer, OpenResourceAction, SyncInfoCompareInput, WorkbenchContentProvider

public interface IResourceChangeListener
extends EventListener

A resource change listener is notified of changes to resources in the workspace. These changes arise from direct manipulation of resources, or indirectly through resynchronization with the local file system.

Clients may implement this interface.

See Also:
  `IResourceDelta`, `IWorkspace.addResourceChangeListener(IResourceChangeListener, int)`

Method Summary
`void` | `resourceChanged(IResourceChangeEvent event)` Notifies this listener that some resource changes are happening, or have already happened.

Method Detail

### resourceChanged

    public void resourceChanged(IResourceChangeEvent event)

  Notifies this listener that some resource changes are happening, or have already happened.

  The supplied event gives details. This event object (and the resource delta within it) is valid only for the duration of the invocation of this method.

  Note: This method is called by the platform; it is not intended to be called directly by clients.

  Note that during resource change event notification, further changes to resources may be disallowed.

  Parameters:
    `event` - the resource change event
  See Also:
    `IResourceDelta`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.